Locked users disappear from project settings

2016-02-15 15:05 - Frederico Camara

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version: 3.1.0

Description

I control which users are part of my projects, but I'm having problems with locked users. Thay disappear from the list and I can't

manage them as long as they're locked. If at anytime they become unlocked by the administrator, thay would unexpectedly show up

in my project with roles I gave them months ago.

This is annoying. I don't care if the users disappear from the workflow or from the page project, but if they are locked for some reason

in Redmine, I should still be able to change their roles in my project, or kick them out if I needed to.

Associated revisions

Revision 16116 - 2016-12-31 14:33 - Jean-Philippe Lang

Fixed that project settings should show locked members (#22034).

Revision 16128 - 2017-01-04 19:09 - Jean-Philippe Lang

Merged r16116 (#22034).

Revision 16129 - 2017-01-04 20:48 - Jean-Philippe Lang

Merged r16116 (#22034).

History

#1 - 2016-02-15 15:21 - Frederico Camara

Patch. Save and:

patch -p1 < ~/22034.patch

diff -ruN redmine-3.2.0/app/views/projects/settings/_members.html.erb redmine/app/views/projects/settings/_mem

bers.html.erb

--- redmine-3.2.0/app/views/projects/settings/_members.html.erb    2015-12-06 12:06:20.000000000 -0200

+++ redmine/app/views/projects/settings/_members.html.erb    2016-02-15 12:12:51.284005067 -0200

@@ -1,5 +1,5 @@

 <% roles = Role.find_all_givable

-   members = @project.memberships.active.includes(:member_roles, :roles, :principal).to_a.sort %>

+   members = @project.memberships.includes(:member_roles, :roles, :principal).to_a.sort %>

 <p><%= link_to l(:label_member_new), new_project_membership_path(@project), :remote => true, :class => "icon 

icon-add" %></p>

#2 - 2016-02-15 15:37 - Toshi MARUYAMA

- Category set to Project settings

#3 - 2016-12-25 13:56 - Go MAEDA

- Subject changed from Blocked users disappear from project settings to Locked users disappear from project settings

- Description updated

#4 - 2016-12-25 14:21 - Go MAEDA

- File setting-member.png added

- Target version set to 3.2.5

- Affected version set to 3.1.0
I think this is a regression caused by r14332.

On Redmine 3.0.x and before, we could see locked user on Settings > Members tab like the following.

 setting-member.png 

#5 - 2016-12-31 14:33 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed with tests in r16116. The memberships API is also updated to return locked members.

Thanks for pointing this out.

#6 - 2017-01-04 20:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#7 - 2017-02-10 19:15 - VVD VVD

Just updated from 3.3.1 to 3.3.2 - can't see locked users in Settings > Members tab in both versions.

Can't see in Overview, not in Settings.

#8 - 2017-02-11 06:44 - Toshi MARUYAMA

Go MAEDA wrote:

I think this is a regression caused by r14332.

On Redmine 3.0.x and before, we could see locked user on Settings > Members tab like the following.

 setting-member.png 

 Really? I cannot reproduce.

#9 - 2017-02-11 06:45 - Toshi MARUYAMA

VVD VVD wrote:

Just updated from 3.3.1 to 3.3.2 - can't see locked users in Settings > Members tab in both versions.

Can't see in Overview, not in Settings.

 What do you expect?

#10 - 2017-02-28 13:09 - VVD VVD

Toshi MARUYAMA wrote:

VVD VVD wrote:

Just updated from 3.3.1 to 3.3.2 - can't see locked users in Settings > Members tab in both versions.

Can't see in Overview, not in Settings.

 What do you expect?

 See locked users in Overview too (grey).

#11 - 2017-03-29 14:21 - Toshi MARUYAMA

VVD VVD wrote:

Toshi MARUYAMA wrote:

VVD VVD wrote:

Just updated from 3.3.1 to 3.3.2 - can't see locked users in Settings > Members tab in both versions.

Can't see in Overview, not in Settings.

 What do you expect?
 See locked users in Overview too (grey).

 Please create new issue if you want.

Files

setting-member.png 27.8 KB 2016-12-25 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

http://www.tcpdf.org

